dpkg-buildapi(1)

NAAM
dpkg-buildapi - geeft het API-niveau terug dat tijdens het bouwen van het pakket moet worden gebruikt

OVERZICHT
dpkg-buildapi [optie...] [commando]

BESCHRIJVING
dpkg-buildapi is gereedschap om het dpkg-build-api(7)-niveau op te halen dat tijdens het bouwen van Debian bronpakketten gebruikt moeten worden.

Dit programma werd geïntroduceerd in dpkg 1.22.0.

COMMANDO'S

--help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OPTIES

-ccontrol-bestand
    Geeft aan wat het hoofdcontrolebestand van de broncode is waaruit informatie gehaald moet worden. Standaard is dat debian/control.

OMGEVING

DPKG_BUILD_API
    Het te gebruiken bouw-API-niveau. Dit is bedoeld om intern gebruikt te worden door de gereedschappen die uitgevoerd worden vanuit debian/rules om te voorkomen dat debian/control meerdere keren doorzocht moet worden, en niet om het globale bouw-API-niveau in te stellen vanuit debian/rules, anders hebben bouwstuurprogramma's (zoals dpkg-buildpackage(1)) er geen toegang toe.

DPKG_COLORS
    Stelt de kleurmodus in. Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n). Geldige waarden zijn: 0 and 1 (standaard).

BESTANDEN

  Ondersteuning bij het maken van een pakket

/home/linuxbrew/.linuxbrew/Cellar/dpkg/1.23.5/libexec/share/dpkg/buildapi.mk
    Makefile-fragment dat het bouw-API-niveau ontleedt en in een variabele plaatst.